Subject: RFC 4591 errata

From: Alfred Hönes <[email-masked]>
Date: Fri, 11 Aug 2006 13:37:41 +0200 (MESZ)

Hello,
studying the recently published RFC 4591 (FR over L2TPv3)
authored by you, I found a couple of flaws that perhaps
should be addressed by an RFC Errata Note.

In the text snippits presented below, essentially modified lines,
(and occasionally, original lines to be modified as well) are
marked with a change bar, '|', in column 1.  Up/down pointing
tags ('^^^'/'vvv') are added in additional auxiliary lines,
where appropriate, to emphasize the location of proposed changes.
Indentation of RFC text is preserved, and changed text is re-
adjusted according to RFC formatting rules.

(1)  [line folding issue]

The final part of Section 3.2, on page 5 of RFC 4591, syas:

   General Result Codes regarding L2TP session establishment are defined
   in [RFC3931].  Additional Frame Relay result codes are defined as
   follows:

      17: FR PVC was deleted permanently (no longer provisioned) 18: FR
      PVC has been INACTIVE for an extended period of time 19:
      Mismatched FR Header Length

For clarity, the RFC sould say instead:

   General Result Codes regarding L2TP session establishment are defined
   in [RFC3931].  Additional Frame Relay result codes are defined as
   follows:

|     17: FR PVC was deleted permanently (no longer provisioned)
|     18: FR PVC has been INACTIVE for an extended period of time
|     19: Mismatched FR Header Length

(2)  [another line folding issue]

Within Section 3.5, on page 7, the RFC text just below the diagram
says:

   The Frame Relay Header Length Type is a 2-octet unsigned integer with
   the following values defined in this document:

      2: Two-octet Frame Relay Header 4: Four-octet Frame Relay Header

For clarity, the RFC sould say instead:

   The Frame Relay Header Length Type is a 2-octet unsigned integer with
   the following values defined in this document:

|     2: Two-octet Frame Relay Header
|     4: Four-octet Frame Relay Header

(3)  [missing colons, and formatting]

In Section 4.1, the explanations just below the FR Header diagrams
on page 8 of the RFC read:

   C/R (bit 6) FR frame C/R (command/response) bit [Q922].

   F - FECN (bit 12):  FR FECN (Forward Explicit Congestion
   Notification) bit [Q922].

   B - BECN (bit 13):
|
   FR BECN (Backward Explicit Congestion Notification) bit [Q922].

   D - DE (bit 14) FR DE bit indicates the discard eligibility [Q922].

For clarity, it should better say:

            vvvvv
|  C (bit 6):     FR frame C/R (command/response) bit [Q922].

|  F (bit 12):    FR FECN (Forward Explicit Congestion Notification)
|                 bit [Q922].

|  B (bit 13):    FR BECN (Backward Explicit Congestion Notification)
|                 bit [Q922].

|  D (bit 14):    FR DE bit indicates the discard eligibility [Q922].
             ^^^^

[ Additional rationale for the proposed clarifications:
  The "full bit names" have been removed from the left hand sides
  (corresponding to the diagrams), and replaced "C/R" by "C", because
  these "full bit names" do not appear in the diagrams, but already do
  appear in the explanatory text on the right hand side.  Thus, to the
  left of the colons, there now are only -- and precisely -- the terms
  from the diagrams. ]

(4)  [typo + word omission]

The first paragraph of Section 4.3, on page 9, says:
                                                           vv
   With L2TPv3 as the tunneling protocol, the packet resulted from the
   encapsulation is N bytes longer than Frame Relay frame without the
   opening and closing HDLC flags or FCS.  The value of N depends on the
   following fields:

It should say:
                                                           vvv
|  With L2TPv3 as the tunneling protocol, the packet resulting from the
|  encapsulation is N bytes longer than the Frame Relay frame without
   the opening and closing HDLC flags or FCS.  The value of N depends on
   the following fields:

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+